Subject: translate viewhelper should have optional parameter extensionName
Description

The translate view helper works great bug would be even better if it would be possible to add the extensionName as argument.

examples:
1) Using a standalone view with Tx_Fluid_View_StandaloneView makes it impossible to work with translationViewHelper without
duplicating translations

2) using example #1 can sometimes lead to have no extensionName available, therefore no translation can ever happen

3) having many extension in one project but very often the same translations leads to the problem having duplicate keys.

[pending in v4mvc list]

Associated revisions
Revision cf05b1fa - 2011-12-19 18:12 - Zach Davis

[FEATURE] TranslateViewHelper accepts package argument

This change allows the TranslateViewHelper to accept an optional
package argument, which is passed to the Translator class for lookups.
If the package argument is NULL, the view helper will default to the
current controller's package key.

Change-Id: Ic2b9fe9e2ce20d37ec422c15acc76500e86063cf
Resolves: #12502
Related: #14037
Releases: 1.1

History
#1 - 2011-05-06 10:38 - Sebastian Kurfuerst
- Has patch set to Yes

#2 - 2011-11-22 00:49 - Mr. Jenkins

Patch set 5 of change Ic2b9fe9e2ce20d37ec422c15acc76500e86063cf has been pushed to the review server.
It is available at http://review.typo3.org/4431

#3 - 2011-12-19 18:13 - Gerrit Code Review
- Status changed from New to Under Review
Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/4431

#4 - 2011-12-19 21:36 - Zach Davis
- Status changed from Under Review to Resolved
- % Done changed from 80 to 100

Applied in changeset commit:cf05b1fa6a5e7e4e3f870db6ed787aa204d33952.
